curl --request GET \
--url https://api.synctera.com/v2/cards/gateways/{gateway_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.synctera.com/v2/cards/gateways/{gateway_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.synctera.com/v2/cards/gateways/{gateway_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"card_products": [
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
],
"creation_time": "2010-05-06T12:23:34.321Z",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"is_active": true,
"last_updated_time": "2010-05-06T12:23:34.321Z",
"tenant": "abcdef_ghijkl",
"url": "<string>",
"custom_headers": {},
"standin": {
"enabled": true
}
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Get Gateway
Get the details of an Authorization Gateway that has been configured
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of an Authorization gateway config
Response
Gateway details
List of Card Product unique identifiers that will utilize the Gateway
The timestamp representing when the gateway config request was made
"2010-05-06T12:23:34.321Z"
Gateway ID
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Current status of the Authorization gateway
The timestamp representing when the gateway config was last modified at
"2010-05-06T12:23:34.321Z"
The id of the tenant containing the resource. This is relevant for Fintechs that have multiple workspaces.
"abcdef_ghijkl"
URL of the Authorization gateway
1000These key-value pairs define custom HTTP headers that will be included in every HTTP request to the gateway. Note that when updating this field, all key-value pairs will be replaced. They are not merged with existing data.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?

